• 2
  • 新人请关照

一个聊天室应用部署时socket.io的XMLHttpRequest出现object is not a function错误

网上下载的一个nodejs+express+jade的聊天室应用,
部署后运行,提示object is not a function错误,如下图所示:
图片描述

nodejs版本情况如下:
图片描述

阅读 3.3k
评论
    1 个回答

    那是因为版本问题,最可能的原因是你下载的源码使用的socket.io是0.9版本以下的,socket.io 1.0以上版本发生了很大的变化,不兼容了。

    建议你安装的时候输入npm install socket.io@0.9

      撰写回答

      登录后参与交流、获取后续更新提醒

      相似问题
      推荐文章